Find the answers you need

Support Database

How do I run Composer via SSH?

At 20i we run multiple different versions of PHP.

On our SSH servers, the execution of commands like “composer” will run with our default, system-level PHP that is also used for internal tools at 20i. This is a thin version of PHP without all the modules you may be used-to on your website. To enable use of this command, you need to specify the full path to the version of PHP that you wish to run the script as. You can do this on the command line itself.

Here's an example of using PHP 7.1 to execute Composer:

/usr/bin/php71 -f /usr/bin/composer

So the complete command would become:

/usr/bin/php71 -f /usr/bin/composer install

A list of available PHP versions is presented to you in the message of the day (MOTD) once you login to SSH.